/*
    This file is part of KDiary.

    Copyright (c) 2004 cjacker huang <jzhuang@redflag-linux.com>
    Copyright (c) 2005 Bram Schoenmakers <bramschoenmakers@kde.nl>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with kdiary program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    As a special exception, permission is given to link kdiary program
    with any edition of Qt, and distribute the resulting executable,
    without including the source code for Qt in the source distribution.
*/

#include <stdio.h>

#include <dcopclient.h>
#include <kdebug.h>

#include "kdiary_part.h"


KDiaryPart::KDiaryPart(QObject *parent, const char *name) // ## parentWidget
  : KParts::ReadOnlyPart(parent, name)
{
  KGlobal::locale()->insertCatalogue("kdiary");

  setInstance( new KInstance("kdiarypart") ); // FIXME memleak

  kdiary = new KDiary();

  KStdAction::save( kdiary, SLOT( save() ), actionCollection(), "save" );
  KStdAction::print( kdiary, SLOT( slotPrint() ), actionCollection(), "print" );

  KStdAction::undo( kdiary, SLOT( undo() ), actionCollection(), "undo" );
  KStdAction::redo( kdiary, SLOT( redo() ), actionCollection(), "redo" );
  KStdAction::cut( kdiary, SLOT( cut() ), actionCollection(), "cut" );
  KStdAction::copy( kdiary, SLOT( copy() ), actionCollection(), "copy" );
  KStdAction::paste( kdiary, SLOT( paste() ), actionCollection(), "paste" );
  KStdAction::find( kdiary, SLOT( slotFind() ), actionCollection(), "find" );
  KStdAction::selectAll( kdiary, SLOT( selectAll() ), actionCollection(), "selectAll" );

  (void) new KAction (i18n ("Insert Date"),KShortcut( CTRL + Key_D), kdiary, SLOT (slotInsertDate ()), actionCollection (), "insertDate");
  (void) new KAction (i18n ("Insert Time"),KShortcut( CTRL + Key_T), kdiary, SLOT (slotInsertTime ()), actionCollection (), "insertTime");
  (void) new KAction (i18n ("Insert Date And Time"), "clock",KShortcut( CTRL + SHIFT + Key_D), kdiary, SLOT (slotInsertDateAndTime ()), actionCollection (), "insertDateAndTime");
  (void) new KAction (i18n ("Insert &Image"), "background",KShortcut( CTRL + SHIFT + Key_I), kdiary, SLOT (slotInsertImage ()), actionCollection (),
  "insertImage");

  //KStdAction::preferences( kdiary, SLOT( slotOpenSetupDlg() ), actionCollection(), "openSetupDlg" );
  (void) new KAction (i18n("&Configure KDiary..."), "configure", 0, kdiary, SLOT( slotOpenSetupDlg() ), actionCollection(), "openSetupDlg" );

  setWidget(kdiary);
  setXMLFile("kdiarypartui.rc");
}

KDiaryPart::~KDiaryPart()
{
}

bool KDiaryPart::openFile()
{
  // FIXME
}

#include "kdiary_part.moc"
