/*
    This file is part of KDiary.

    Copyright (c) 2004 cjacker huang <jzhuang@redflag-linux.com>
    Copyright (c) 2005 Bram Schoenmakers <bramschoenmakers@kde.nl>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with kdiary program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    As a special exception, permission is given to link kdiary program
    with any edition of Qt, and distribute the resulting executable,
    without including the source code for Qt in the source distribution.
*/

#include <kgenericfactory.h>

#include <kontact/core.h>

#include "kdiary_plugin.h"
#include "kdiary_part.h"

typedef KGenericFactory< KDiaryPlugin, Kontact::Core > KDiaryPluginFactory;
K_EXPORT_COMPONENT_FACTORY( libkdiaryplugin, KDiaryPluginFactory( "kdiaryplugin" ) )

KDiaryPlugin::KDiaryPlugin(Kontact::Core *_core, const char *name, const QStringList &)
  : Kontact::Plugin(_core, _core, name)
{
  setInstance(KDiaryPluginFactory::instance());

//  setXMLFile("kptestplugin.rc");
}

KDiaryPlugin::~KDiaryPlugin()
{
}

KParts::ReadOnlyPart* KDiaryPlugin::createPart()
{
  if ( KONTACT_PLUGIN_VERSION > 3 )
    return new KDiaryPart(this, "testpart");
}

#include "kdiary_plugin.moc"
